> For the complete documentation index, see [llms.txt](https://api.qvalia.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.qvalia.io/quick-start.md).

# Quick Start

{% hint style="warning" %}
**You must first sign up for a Qvalia account, and contact Sales or Support to get access and API setup!**
{% endhint %}

### Get your API keys

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an `401` error.

**You will get your API key from Qvalia Helpdesk, or the onboarding team!**

### Review the API Documentation

{% content-ref url="/pages/PHqCxQlGl0DgM5ZRIwr9" %}
[APIs](/api-documentation/apis.md)
{% endcontent-ref %}

### Make your first request

To make your first request, send an authenticated request to the `/transaction/{accountRegNo}/invoices/outgoing` endpoint.

This will create and deliver an outgoing `invoice`, normally an supplier invoice, from you to your counterpart.

### Create outgoing invoice

<mark style="color:green;">`POST`</mark> [`https://api-test.qvalia.com/transaction/{accountRegNo}/invoices/outgoing`](https://api-test.qvalia.com/transaction/%7BaccountRegNo%7D/invoices/outgoing)

Creates a new outgoing invoice that will be sent over the Peppol network

#### Request Body

See API Sample Data for samples of Peppol Messages:

{% content-ref url="/pages/P5HvYaQUutbepHmk0ZP3" %}
[API Sample Data](/sample-data/api-sample-data.md)
{% endcontent-ref %}

{% tabs %}
{% tab title="200 Invoice successfully created" %}

```javascript
{
  "status": "success",
  "data": {
    "message": "Invoice 12335675 sent",
    "order_id": ""
  }
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```json
{
  "status": "error",
  "type": "E_UNAUTHORIZED_CLIENT",
  "data": "Client is not authorized"
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might call this method using our official libraries, or via `curl`:

{% tabs %}
{% tab title="curl" %}

```
curl --location --globoff 'https://api-test.qvalia.com/transaction/{accountRegNo}/invoices/outgoing' \
--data '{
  "Invoice": {}
}'
```

{% endtab %}

{% tab title="Node" %}

```javascript
const body = {
  Invoice: {...}
};

var requestOptions = {
  method: 'POST',
  body
};

await fetch('https://api-test.qvalia.com/transaction/{accountRegNo}/invoices/outgoing', requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api-test.qvalia.com/transaction/{accountRegNo}/invoices/outgoing"

body = "{
  \"Invoice\": {}
}"
headers = {}

response = requests.request("POST", url, headers=headers, data=body)

print(response.text)

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api.qvalia.io/quick-start.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
